package tech.zapt.zapt_sdk_flutter;

import android.os.Handler;
import android.os.Looper;
import android.util.Log;
import android.webkit.JavascriptInterface;

import androidx.annotation.NonNull;

import io.flutter.plugin.common.BasicMessageChannel;
import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.StringCodec;

public class JavascriptChannel {

    public JavascriptChannel(@NonNull String channelName, @NonNull BinaryMessenger binaryMessenger, Handler platformThreadHandler) {
        this.platformThreadHandler = platformThreadHandler;
        this.binaryMessenger = binaryMessenger;
        this.channelName = channelName;
    }

    private final BinaryMessenger binaryMessenger;
    private final Handler platformThreadHandler;
    private final String channelName;

    @JavascriptInterface
    public void postMessage(final String message) {
        final Runnable postMessageRunnable = () -> {
            BasicMessageChannel<String> channel = new BasicMessageChannel<>(binaryMessenger, channelName, StringCodec.INSTANCE);
            channel.send(message);
        };

        if (platformThreadHandler.getLooper() == Looper.myLooper()) {
            postMessageRunnable.run();
        } else {
            platformThreadHandler.post(postMessageRunnable);
        }
    }
}
