#import <Flutter/Flutter.h>

#import "ZTLocationSDK.h"
#import "ZTUserInfo.h"
#import <CoreLocation/CoreLocation.h>

@interface ZaptSdkFlutterPlugin : NSObject<FlutterPlugin,CLLocationManagerDelegate>

    @property (retain) ZTLocationSDK *zaptSDK;
    @property BOOL isInitialized;
    @property (retain) CLLocationManager *locationManager;
    - (void)onBeaconsFound:(NSMutableArray*)beacons;
    - (void) initialize:(NSString *)placeID;
    - (void) stop;
    - (void) initLocationManager;
    - (void)locationManager:(CLLocationManager *)manager didRangeBeacons:(NSArray *)beacons inRegion:(CLBeaconRegion *)region;
    - (void)locationManager:(CLLocationManager *)manager didEnterRegion:(CLRegion *)region;
    - (void)locationManager:(CLLocationManager *)manager didExitRegion:(CLRegion *)region;
    - (NSDictionary*) mapOfBeacon: (CLBeacon*) beacon;
    - (NSString*) getMapLink;
    - (void) requestPermissions;
    - (void) requestPermissionsBackground;
    - (void) setDisableSyncingForPositioning:(BOOL) disable;
    - (void) setDisableSyncingForAnalytics:(BOOL) disable;

@end


@interface BeaconStreamHandler : NSObject <FlutterStreamHandler>
@end