// To parse this JSON data, do
//
//     final interestPoint = interestPointFromJson(jsonString);

import 'dart:convert';

InterestPoint interestPointFromJson(String str) =>
    InterestPoint.fromJson(json.decode(str));

String interestPointToJson(InterestPoint data) => json.encode(data.toJson());

class InterestPoint {
  List<AdditionalMedia>? additionalMedia;
  int? categoryId;
  String? displayOn;
  int floor;
  String? floorName;
  String id;
  bool? isTemporal;
  String? media;
  String? mediaIcon;
  String? mediaMini;
  String? mimetype;
  String? subtitle;
  List<String>? tags;
  String? text;
  String title;
  int x;
  String xy;
  int y;

  InterestPoint({
    this.additionalMedia,
    this.categoryId,
    this.displayOn,
    required this.floor,
    this.floorName,
    required this.id,
    this.isTemporal,
    this.media,
    this.mediaIcon,
    this.mediaMini,
    this.mimetype,
    this.subtitle,
    this.tags,
    this.text,
    required this.title,
    required this.x,
    required this.xy,
    required this.y,
  });

  factory InterestPoint.fromJson(Map<String, dynamic> json) => InterestPoint(
        additionalMedia: json["additionalMedia"] == null
            ? []
            : List<AdditionalMedia>.from(json["additionalMedia"]!
                .map((x) => AdditionalMedia.fromJson(x))),
        categoryId: json["categoryId"],
        displayOn: json["displayOn"],
        floor: json["floor"],
        floorName: json["floorName"],
        id: json["id"],
        isTemporal: json["isTemporal"],
        media: json["media"],
        mediaIcon: json["mediaIcon"],
        mediaMini: json["mediaMini"],
        mimetype: json["mimetype"],
        subtitle: json["subtitle"],
        tags: json["tags"] == null
            ? []
            : List<String>.from(json["tags"]!.map((x) => x)),
        text: json["text"],
        title: json["title"],
        x: json["x"],
        xy: json["xy"],
        y: json["y"],
      );

  Map<String, dynamic> toJson() => {
        "additionalMedia": additionalMedia == null
            ? []
            : List<dynamic>.from(additionalMedia!.map((x) => x.toJson())),
        "categoryId": categoryId,
        "displayOn": displayOn,
        "floor": floor,
        "floorName": floorName,
        "id": id,
        "isTemporal": isTemporal,
        "media": media,
        "mediaIcon": mediaIcon,
        "mediaMini": mediaMini,
        "mimetype": mimetype,
        "subtitle": subtitle,
        "tags": tags == null ? [] : List<dynamic>.from(tags!.map((x) => x)),
        "text": text,
        "title": title,
        "x": x,
        "xy": xy,
        "y": y,
      };
}

class AdditionalMedia {
  String? id;
  String? src;

  AdditionalMedia({
    this.id,
    this.src,
  });

  factory AdditionalMedia.fromJson(Map<String, dynamic> json) =>
      AdditionalMedia(
        id: json["id"],
        src: json["src"],
      );

  Map<String, dynamic> toJson() => {
        "id": id,
        "src": src,
      };
}
